# The CODE_OF_CONDUCT.md file In Your Python Open Source Package

```{admonition} Example Code of Conduct files
:class: tip

* [SciPy Code of Conduct file - notice they included theirs in their documentation](https://docs.scipy.org/doc/scipy/dev/conduct/code_of_conduct.html)
* [fatiando code of conduct file](https://github.com/fatiando/community/blob/main/CODE_OF_CONDUCT.md)
```

Your package should have a **CODE_OF_CONDUCT.md** file located
the root of the repository. Once you have people using your
package, you can consider the package itself as having a community
around it. Some of this community uses your tool. These users
may have questions or encounter challenges using your package.

Others in the community might want to contribute to your tool.
They might fix bugs, update documentation and engage with the
maintainer team.

## Why you need a code of conduct

In order to keep this community healthy and to protect yourself,
your mainatianer team and your users from unhealthy behavior,
it is important to have a [code of conduct](https://opensource.guide/code-of-conduct/).

The code of conduct is important
as it establishes what you expect in terms of how users and
contributors interact with maintainers and each other. It also
establishes rules and expectations which can then be enforced
if need be to protect others from harmful and/or negative  behaviors.

If you are not comfortable
with creating your own code of conduct text, we encourage you to adopt the
code of conduct language used in the [Contributor Covenant](https://www.contributor-covenant.org/version/2/1/code_of_conduct/).
[Many other communities](https://www.contributor-covenant.org/adopters/) have adopted this code of conduct as
their own. See the [Fatiando a Terra Geoscience Python community's example here.](https://github.com/fatiando/community/blob/main/CODE_OF_CONDUCT.md)
