# Your repository should have a LICENSE.md file

The root of your GitHub repository should also have a LICENSE.txt file.

To be reviewed by pyOpenSci your project should use an open source
software license that is approved
by the Open Software Initiative (OSI). OSI's website has a
[list of popular licenses](https://opensource.org/licenses). GitHub also has a
[handy tool](https://choosealicense.com/) for choosing a license.

If you choose your license through GitHub, you can also automatically get a copy of the license file to add to your repository.

## Important: make sure that you closely follow the guidelines outlines by the License that you chose

Every license has different guidelines in terms of what code
you can use in your package and also how others can (or can not) use the code in your package.

If you borrow code from other tools or online sources, make
sure that the license for the code that you are using also complies
with the license that you selected for your package.

```{note}
An example of code that would not comply with a BSD or MIT license would be any code copied from StackOverflow website.
[Stack overflow users a Creative Commons Share Alike license.](https://stackoverflow.com/help/licensing) The sharealike license requires you to use the same sharealike license when you reuse any code from stackoverflow. Thus, if you use code from stack overflow in your package and have a MIT license applied to your package, you are violating stack overflow's license requirements! Proceed with caution here!
```

[The SciPy documentation has an excellent license discussion that is worth reading and considering for your project's development guide.](https://docs.scipy.org/doc/scipy/dev/core-dev/index.html#licensing)


<!-- TODO: Add discussion of GitHub citation.cff files ??
i think we need to better understand how this works before adding it...


These files - we need to understand if that date releases auto populates or forces zenodo to modify it's citation. if it's not dynamic it could be problematic

-->
